#
# Conditional build:
%bcond_without	a11y	# all accessibility themes (only core a11y themes otherwise)

%define	gtk3_mver	3.18
Summary:	MATE Desktop themes
Summary(pl.UTF-8):	Motywy dla środowiska MATE Desktop
Name:		mate-themes
Version:	1.12.0
Release:	2
License:	GPL v2+
Group:		Themes
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-gtk%{gtk3_mver}-%{version}.tar.xz
# Source0-md5:	67b38a28ce0aaecc86bbaab20c16c2cb
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gdk-pixbuf2-devel >= 2.0.0
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Requires:	gtk2-engines
Requires:	gtk2-theme-engine-murrine >= 0.98
Requires:	mate-icon-theme >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop themes:

- BlackMATE: cinnamon, gtk2, gtk3, marco, unity
- BlueMenta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Blue-Submarine: cinnamon, gtk2, gtk3, marco
- GreenLaguna: gtk2, gtk3, marco, unity
- Green-Submarine: cinnamon, gtk2, gtk3, marco
- Menta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Shiny: marco
- TraditionalGreen: gtk2, gtk3, marco
- TraditionalOk: gtk2, gtk3, marco, openbox, xfwm4
- TraditionalOkTest: gtk2, gtk3, marco

%description -l pl.UTF-8
Motywy dla środowiska MATE Desktop:

- BlackMATE: cinnamon, gtk2, gtk3, marco, unity
- BlueMenta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Blue-Submarine: cinnamon, gtk2, gtk3, marco
- GreenLaguna: gtk2, gtk3, marco, unity
- Green-Submarine: cinnamon, gtk2, gtk3, marco
- Menta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Shiny: marco
- TraditionalGreen: gtk2, gtk3, marco
- TraditionalOk: gtk2, gtk3, marco, openbox, xfwm4
- TraditionalOkTest: gtk2, gtk3, marco

%package accessibility
Summary:	Accessibility themes for MATE environment
Summary(pl.UTF-8):	Motywy uprzystępniające dla środowiska MATE
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Requires:	mate-icon-theme >= 1.5

%description accessibility
Accessibility themes for MATE environment:

- ContrastHigh: gtk2, gtk3, marco
- ContrastHighInverse: gtk2, gtk3, marco

%description accessibility -l pl.UTF-8
Motywy dla środowiska MATE o zwiększonej dostępności dla
niepełnosprawnych:

- ContrastHigh: gtk2, gtk3, marco
- ContrastHighInverse: gtk2, gtk3, marco

%prep
%setup -q -n %{name}-gtk%{gtk3_mver}-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{__enable_disable a11y all-themes} \
	--enable-icon-mapping \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

for dir in $RPM_BUILD_ROOT%{_iconsdir}/*/; do
	gtk-update-icon-cache -ft $dir
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_datadir}/themes/BlackMATE
%{_datadir}/themes/BlueMenta
%{_datadir}/themes/Blue-Submarine
%{_datadir}/themes/GreenLaguna
%{_datadir}/themes/Green-Submarine
%{_datadir}/themes/Menta
%{_datadir}/themes/Shiny
%{_datadir}/themes/TraditionalGreen
%{_datadir}/themes/TraditionalOk
%{_datadir}/themes/TraditionalOkTest
%{_iconsdir}/mate/cursors

%files accessibility
%defattr(644,root,root,755)
%{_datadir}/themes/ContrastHigh
%{_datadir}/themes/ContrastHighInverse
%{_iconsdir}/ContrastHigh
%changelog
* Sat Nov 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-themes.git;a=log;h=master

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 229de28
- switched to gtk 3.18 version; release 2

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> a4afad1
- up to 1.12.0

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> c1f0b57
- up to 1.10.5

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> 344f528
- up to 1.10.4 (GTK 3.16)

* Sat Aug 01 2015 Elan Ruusamäe <glen@delfi.ee> b01cf7a
- add upstream link to -sh.patch

* Sat Aug 01 2015 Elan Ruusamäe <glen@delfi.ee> 4a0e258
- up to 1.10.3

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> 88ff25c
- up to 1.10.2

* Fri Jun 12 2015 Elan Ruusamäe <glen@delfi.ee> f69eec6
- up to 1.10.1

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> e02a119
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8fe1dec
- updated gettext BR

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 1aab87c
- cmn locale is supported now

* Fri May 16 2014 Jan Palus <atler@pld-linux.org> a932415
- up to 1.8.1

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> fe47210
- up to 1.8.0
- run autotools
- Menta-Black theme renamed to BlackMenta

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 251e3eb
- updated to 1.6.3
- added sh patch (kill bashism)

* Mon Nov 11 2013 Elan Ruusamäe <glen@delfi.ee> f045f42
- up to 1.6.2

* Tue Jun 11 2013 Elan Ruusamäe <glen@delfi.ee> 33f88e2
- up to 1.6.1, Aldabra theme was removed

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> fc6c29e
- themes look usable with murrine >= 0.98; rel 1

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> ffa3ed7
- do not package common license

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 49f66d8
- fix post scriptlets updating icon caches only themes that have it

* Fri Apr 05 2013 Elan Ruusamäe <glen@delfi.ee> 1d5c856
- up to 1.6.0, fix icon theme name

